From ce088848c5031a59b90ed4160748bdf37f28a252 Mon Sep 17 00:00:00 2001
From: Per Mosegaard <permosegaard@googlemail.com>
Date: Dec 29 2020 21:10:14 +0000
Subject: [PATCH 1860/2232] add support for .hh and .hpp headers


---

diff --git a/gen/build/src/lib.rs b/gen/build/src/lib.rs
index 6d44e5d..0018dc7 100644
--- a/gen/build/src/lib.rs
+++ b/gen/build/src/lib.rs
@@ -425,8 +425,9 @@ fn best_effort_copy_headers(src: &Path, dst: &Path, max_depth: usize) {
             }
             Ok(file_type) if file_type.is_file() => {
                 let src = entry.path();
-                if src.extension() != Some(OsStr::new("h")) {
-                    continue;
+                match src.extension().map(|x| x.to_str()).flatten() {
+                    Some("h") | Some("hh") | Some("hpp") => {},
+                    _ => continue
                 }
                 if !dst_created && fs::create_dir_all(dst).is_err() {
                     return;

